/* -*- Mode: C; indent-tabs-mode: s; c-basic-offset: 4; tab-width: 4 -*- */
/* vim:set et ai sw=4 ts=4 sts=4: tw=80 cino="(0,W2s,i2s,t0,l1,:0" */

import QtQuick 1.0
import "components"

Panable {
    Component {
        id: appsGridDelegate
        Item {
            height: 148 // Home Layout spec
            width: 114 // Home Layout spec + 4 pixel cheat because could not found padding property
            /* cheat to have the 4 pixel padding specified in Home Layou tspec */
            anchors.leftMargin: 2
            anchors.rightMargin: 2

            Image {
                id: delegateImage
                width: 80 // Home Layout spec
                height: 80 // Home Layout spec
                anchors.horizontalCenter: parent.horizontalCenter
                source: icon
                smooth: true;
            }

            Text {
                id: delegateText
                text: name;
                anchors.topMargin: 10
                anchors.top: delegateImage.bottom
                width: parent.width
                horizontalAlignment: Text.AlignHCenter
                color: "white";
                font.family: defaultFont;
                font.pixelSize: 16;
                font.weight: Font.Normal;
                smooth: true;
            }
        }
    }

    GridView {
        id: appsGrid
        objectName: "AppsGridView"

        anchors.left: parent.left
        anchors.top: parent.top
        anchors.topMargin: 60 // Home Layout spec
        anchors.leftMargin: 12 // Home Layout spec
        anchors.rightMargin: 12 // Home Layout spec - 2 pixel cheat because could not found padding property
        height: parent.height - 60;
        width: parent.width - 24;
        interactive: false
        model : appsgridModel;
        cellHeight: 148 // Home Layout spec
        cellWidth: 114 // Home Layout spec + 4 pixel cheat because could not found padding property
        delegate : appsGridDelegate
    }

/*    ListModel {
        id: appsgridModel

        ListElement { name : qtn_comm_appname_call;         icon : "/usr/share/themes/blanco/meegotouch/icons/icon-l-telephony.png"; }
        ListElement { name : qtn_comm_appname_cont;         icon : "/usr/share/themes/blanco/meegotouch/icons/icon-l-contacts.png"; }
        ListElement { name : qtn_comm_appname_search;       icon : "/usr/share/themes/blanco/meegotouch/icons/icon-l-search.png"; }
        ListElement { name : qtn_comm_appname_browser;      icon : "/usr/share/themes/blanco/meegotouch/icons/icon-l-browser.png"; }

        ListElement { name : qtn_comm_appname_msg;          icon : "/usr/share/themes/blanco/meegotouch/icons/icon-l-conversation.png"; }
        ListElement { name : qtn_comm_appname_mail;         icon : "/usr/share/themes/blanco/meegotouch/icons/icon-l-email.png"; }
        ListElement { name : qtn_comm_appname_caln;         icon : "/usr/share/themes/blanco/meegotouch/icons/icon-l-calendar.png"; }
        ListElement { name : qtn_comm_appname_cloc;         icon : "/usr/share/themes/blanco/meegotouch/icons/icon-l-clock.png"; }

        ListElement { name : qtn_comm_appname_cam;          icon : "/usr/share/themes/blanco/meegotouch/icons/icon-l-camera.png"; }
        ListElement { name : qtn_comm_appname_gall;         icon : "/usr/share/themes/blanco/meegotouch/icons/icon-l-gallery.png"; }
        ListElement { name : qtn_comm_appname_musi;         icon : "/usr/share/themes/blanco/meegotouch/icons/icon-l-music.png"; }
        ListElement { name : qtn_comm_appname_vide;         icon : "/usr/share/themes/blanco/meegotouch/icons/icon-l-videos-tv.png"; }

        ListElement { name : "Maps";                        icon : "/usr/share/themes/blanco/meegotouch/icons/icon-l-maps.png"; }
        ListElement { name : qtn_drive_drive_name;          icon : "/usr/share/themes/blanco/meegotouch/icons/icon-l-drive.png"; }
        ListElement { name : qtn_comm_appname_ovimusic;     icon : "/usr/share/themes/blanco/meegotouch/icons/icon-l-ovi-music.png"; }
        ListElement { name : smeego_tlaunchericon;          icon : "/usr/share/themes/blanco/meegotouch/icons/icon-l-ovi-store.png"; }

        ListElement { name : qtn_comm_appname_acc;          icon : "/usr/share/themes/blanco/meegotouch/icons/icon-l-accounts.png"; }
        ListElement { name : "Facebook";                    icon : "/usr/share/themes/blanco/meegotouch/icons/icon-m-service-facebook.png"; }
        ListElement { name : "Twitter";                     icon : "/usr/share/themes/blanco/meegotouch/icons/icon-m-service-twitter.png"; }
        ListElement { name : qtn_sett_launcher;             icon : "/usr/share/themes/blanco/meegotouch/icons/icon-l-settings.png"; }

        ListElement { name : qtn_comm_appname_calc;         icon : "/usr/share/themes/blanco/meegotouch/icons/icon-l-calculator.png"; }
        ListElement { name : qtn_comm_appname_offi;         icon : "/usr/share/themes/blanco/meegotouch/icons/icon-l-documents.png"; }
        ListElement { name : qtn_comm_appname_feeds;        icon : "/usr/share/themes/blanco/meegotouch/icons/icon-l-rss.png"; }
        ListElement { name : qtn_comm_appname_note;         icon : "/usr/share/themes/blanco/meegotouch/icons/icon-l-notes.png"; }
    }
*/
}


