/* -*- Mode: C; indent-tabs-mode: s; c-basic-offset: 4; tab-width: 4 -*- */
/* vim:set et ai sw=4 ts=4 sts=4: tw=80 cino="(0,W2s,i2s,t0,l1,:0" */

import QtQuick 1.0
import "components"

Panable {
    width: parent.width;

    Image {
        width: parent.width;
        height: parent.height;
        source: "images/meegotouch-tutorial-portrait-background-events.png";
    }
    
    Text {
        id: dateDayName;
        anchors.top: parent.top;
        anchors.topMargin: 60;
        anchors.left: parent.left;
        anchors.leftMargin: 2;
        anchors.right: parent.right;
        anchors.rightMargin: 356;
        height: 40;
        verticalAlignment: Text.AlignBottom;
        text: currentDay;
        horizontalAlignment: layoutLeftToRightMode ? Text.AlignLeft : Text.AlignRight;
        font.pixelSize: 40;
        font.family: defaultFont;
        font.weight: Font.Light;
        color: "white";
    }
    Text {
        id: dateWithoutDayName;
        anchors.top: dateDayName.bottom;
        anchors.topMargin: 6;
        anchors.left: parent.left;
        anchors.leftMargin: 2;
        anchors.right: parent.right;
        anchors.rightMargin: 356;
        height: 32;
        verticalAlignment: Text.AlignBottom;
        text: currentDateWithoutDay;
        horizontalAlignment: layoutLeftToRightMode ? Text.AlignLeft : Text.AlignRight;
        font.pixelSize: 32;
        font.family: defaultFont;
        font.weight: Font.Light;
        color: "#808080";
    }
    Text {
        id: temperature;
        anchors.top: dateDayName.bottom;
        anchors.left: parent.left;
        anchors.leftMargin: 356;
        anchors.right: parent.right;
        anchors.rightMargin: 464;
        text: "41°";
        font.pixelSize: 32;
        font.family: defaultFont;
        font.weight: Font.Light;
        color: "white";
    }

    Column {
        spacing: 0;
        width: parent.width;

        anchors.top: parent.top;
        anchors.topMargin: 164;
        anchors.left: parent.left;
        anchors.leftMargin: 2;
        anchors.right: parent.right;
        anchors.rightMargin: 14;

        EventsGroupHeader {
            title: qtn_tuto_notifications_title;
            buttonText: qtn_tuto_clear;
        }
        EventDetails {
            imageSource: appsIconRoot + "icon-m-telephony-callhistory-missed-inverse.png"
            titleText: qtn_tuto_missed_call
            detailText: qtn_tuto_fake_name_1
            timeText: eventsViewEventMinuteAgoText
        }
        EventDetails {
            imageSource: appsIconRoot + "icon-m-content-voicemail-inverse.png"
            titleText: qtn_tuto_voicemail
            detailText: qtn_tuto_fake_name_2
            timeText: eventsViewEventMinuteAgoText
        }
        EventDetails {
            imageSource: appsIconRoot + "icon-m-content-sms-inverse.png"
            titleText: qtn_tuto_fake_message_text
            detailText: qtn_tuto_fake_name_3
            timeText: eventsViewEventMinuteAgoText
        }
    }
    Column {
        spacing: 0;
        width: parent.width;

        anchors.top: parent.top;
        anchors.topMargin: 583;
        anchors.left: parent.left;
        anchors.leftMargin: 2;
        anchors.right: parent.right;
        anchors.rightMargin: 14;

        EventsGroupHeader {
            title: qtn_tuto_news_feed;
            buttonText: qtn_tuto_refresh;
        }
        EventDetails {
            imageSource: "images/meegotouch-tutorial-userthumb.png"
            titleText: qtn_tuto_fake_name_4
            detailText: qtn_tuto_fake_feeds_text
            timeText: eventsViewEventMinuteAgoText
        }
    }
}
