/* -*- Mode: C; indent-tabs-mode: s; c-basic-offset: 4; tab-width: 4 -*- */
/* vim:set et ai sw=4 ts=4 sts=4: tw=80 cino="(0,W2s,i2s,t0,l1,:0" */

import QtQuick 1.0
import "components"

Overlay {
    signal endTutorial();
    signal startAgain();

    RefButton {
        anchors.top: parent.top;
        anchors.topMargin: swipeWidth;
        anchors.right: parent.right;
        anchors.rightMargin: 26; // Layout spec
        text: qtn_tuto_start_again;

        onTapped: {
            startAgain();
            state = "hidden";
        }
    }

    Text {
        width: parent.width;
        anchors.topMargin: 40; // Layout spec
        anchors.left: parent.left;
        anchors.leftMargin: 40; // Layout spec
        anchors.right: parent.right;
        anchors.rightMargin: 40; // Layout spec
        anchors.bottom: endButton.top;
        anchors.bottomMargin: 20; // Layout spec

        text: qtn_tuto_events_text;
        wrapMode: Text.WordWrap;
        horizontalAlignment: Text.AlignHCenter;
        font.family: instrFont;
        font.pixelSize: instrFontSize;
        font.weight: Font.Normal;
        color: "white";
    }
    
    Button {
        id: endButton;
        height: 64;
        anchors.bottom: parent.bottom;
        anchors.horizontalCenter: parent.horizontalCenter;
        text: qtn_tuto_end;
        onClicked: {
            endTutorial();
            state = "hidden";
        }
    }
}

