/* -*- Mode: C; indent-tabs-mode: s; c-basic-offset: 4; tab-width: 4 -*- */
/* vim:set et ai sw=4 ts=4 sts=4: tw=80 cino="(0,W2s,i2s,t0,l1,:0" */

import QtQuick 1.0
import "components"

Panable {

    property int firstRowX: 14
    property int firstRowY: 60
    
    property int secondRowX: 171
    property int secondRowY: 314
    
    property int thirdRowX: 328
    property int thirdRowY: 568
    
    property int minimizedAppIconWidth: 138
    property int minimizedAppIconHeight: 235
        
    SequentialAnimation {
        id: closingAnim;
        //PropertyAnimation { target: tumb0; property: "opacity"; to: 0; easing.type: Easing.OutExpo; duration: 0;}
        // the callui, the first in the grid will disappear
        ParallelAnimation {
            PropertyAnimation { target: tumb0; property: "opacity"; to: 1; easing.type: Easing.OutExpo; duration: 50;}
        }

        ParallelAnimation {
            PropertyAnimation { target: tumb0; property: "opacity"; to: 0 ; easing.type: Easing.OutExpo; duration: 350 }
            PropertyAnimation { target: tumb0; property: "scale"; to: 0; easing.type: Easing.OutExpo; duration: 400;}
        }

        // the others will move to there new positions
        ParallelAnimation {

            SequentialAnimation {
                PropertyAnimation { target: tumb1; property: "x"; to: secondRowX; duration: 20 }//delay                 
                PropertyAnimation { target: tumb1; property: "x"; to: firstRowX; easing.type: Easing.OutQuint; duration: 250 }
            }

            SequentialAnimation {
                PropertyAnimation { target: tumb2; property: "x"; to: thirdRowX; duration: 40 }//delay
                PropertyAnimation { target: tumb2; property: "x"; to: secondRowX; easing.type: Easing.OutQuint; duration: 250 }
            }

            SequentialAnimation {
                PropertyAnimation { target: tumb3; property: "x"; to: firstRowX; duration: 60 }//delay
                ParallelAnimation {
                    PropertyAnimation { target: tumb3; property: "x"; to: thirdRowX; easing.type: Easing.OutQuint; duration: 250 }
                    PropertyAnimation { target: tumb3; property: "y"; to: firstRowY; easing.type: Easing.OutQuint; duration: 250 }
                }
            }

            SequentialAnimation {
                PropertyAnimation { target: tumb4; property: "x"; to: secondRowX; duration: 80 }//delay
                PropertyAnimation { target: tumb4; property: "x"; to: firstRowX; easing.type: Easing.OutQuint; duration: 250 }
            }

            SequentialAnimation {
                PropertyAnimation { target: tumb4; property: "x"; to: thirdRowX; duration: 100 }//delay
                PropertyAnimation { target: tumb5; property: "x"; to: secondRowX; easing.type: Easing.OutQuint; duration: 250 }
            }

            SequentialAnimation {
                PropertyAnimation { target: tumb6; property: "x"; to: firstRowX; duration: 120 }//delay
                ParallelAnimation {
                    PropertyAnimation { target: tumb6; property: "x"; to: thirdRowX; easing.type: Easing.OutQuint; duration: 250 }
                    PropertyAnimation { target: tumb6; property: "y"; to: 315; easing.type: Easing.OutQuint; duration: 250 }
                }
            }

            SequentialAnimation {
                PropertyAnimation { target: tumb7; property: "x"; to: secondRowX; duration: 140 }//delay
                PropertyAnimation { target: tumb7; property: "x"; to: firstRowX; easing.type: Easing.OutQuint; duration: 250 }
            }

            SequentialAnimation {
                PropertyAnimation { target: tumb8; property: "x"; to: thirdRowX; duration: 160 }//delay
                PropertyAnimation { target: tumb8; property: "x"; to: secondRowX; easing.type: Easing.OutQuint; duration: 250 }
            }
        }
    }

    Image {
        id: tumb0;
        x: secondRowX;
        y: firstRowY;
        width: minimizedAppIconWidth;
        height: minimizedAppIconHeight;
        smooth: true;
        source: "images/meegotouch-tutorial-portrait-mini-phone.png";
    }
    
    Image {
        id: tumb1;
        x: secondRowX;
        y: firstRowY;
        width: minimizedAppIconWidth;
        height: minimizedAppIconHeight;
        smooth: true;
        source: "images/meegotouch-tutorial-portrait-mini-web.png";
    }
    
    Image {
        id: tumb2;
        x: thirdRowX;
        y: firstRowY;
        width: minimizedAppIconWidth;
        height: minimizedAppIconHeight;
        smooth: true;
        source: "images/meegotouch-tutorial-portrait-mini-gallery-single-image.png";
    }
    
    Image {
        id: tumb3;
        x: firstRowX;
        y: secondRowY;
        width: minimizedAppIconWidth;
        height: minimizedAppIconHeight;
        smooth: true;
        source: "images/meegotouch-tutorial-portrait-mini-calendar.png";
    }
    
    Image {
        id: tumb4;
        x: secondRowX;
        y: secondRowY;
        width: minimizedAppIconWidth;
        height: minimizedAppIconHeight;
        smooth: true;
        source: "images/meegotouch-tutorial-portrait-mini-maps.png";
    }
    
    Image {
        id: tumb5;
        x: thirdRowX;
        y: secondRowY;
        width: minimizedAppIconWidth;
        height: minimizedAppIconHeight;
        smooth: true;
        source: "images/meegotouch-tutorial-portrait-mini-clock.png";
    }
    
    Image {
        id: tumb6;
        x: firstRowX;
        y: thirdRowY;
        width: minimizedAppIconWidth;
        height: minimizedAppIconHeight;
        smooth: true;
        source: "images/meegotouch-tutorial-portrait-mini-email.png";
    }
    
    Image {
        id: tumb7;
        x: secondRowX;
        y: thirdRowY;
        width: minimizedAppIconWidth;
        height: minimizedAppIconHeight;
        smooth: true;
        source: "images/meegotouch-tutorial-portrait-mini-messaging-groupchat.png";
    }
    
    Image {
        id: tumb8;
        x: thirdRowX;
        y: thirdRowY;
        width: minimizedAppIconWidth;
        height: minimizedAppIconHeight;
        smooth: true;
        source: "images/meegotouch-tutorial-portrait-mini-phonebook.png";
    }

    
    function toggle() {
        closingAnim.start();
    }
    
    function reset() {
        tumb0.opacity =  0;
        tumb0.scale = 1;
        tumb0.x = firstRowX;
        tumb0.y = firstRowY;

        tumb1.x = secondRowX;
        tumb1.y = firstRowY;

        tumb2.x = thirdRowX;
        tumb2.y = firstRowY;

        tumb3.x = firstRowX;
        tumb3.y = secondRowY;

        tumb4.x = secondRowX;
        tumb4.y = secondRowY;

        tumb5.x = thirdRowX;
        tumb5.y = secondRowY;

        tumb6.x = firstRowX;
        tumb6.y = thirdRowY;

        tumb7.x = secondRowX;
        tumb7.y = thirdRowY;

        tumb8.x = thirdRowX;
        tumb8.y = thirdRowY;
    }
    

}
