/* -*- Mode: C; indent-tabs-mode: s; c-basic-offset: 4; tab-width: 4 -*- */
/* vim:set et ai sw=4 ts=4 sts=4: tw=80 cino="(0,W2s,i2s,t0,l1,:0" */

import QtQuick 1.0
import "components"

Panable {
    Component {
        id: recentsGridDelegate
        Item {
            height: 254; // image height + 19 px padding
            width: 157; // image width + 19 px padding
            /* cheat to have the 19 pixel padding */
            anchors.leftMargin: 10;
            anchors.rightMargin: 9;
            anchors.bottomMargin: 19;

            Image {
                id: delegateImage
                x: 10; // lets respect parent's margin
                y: 0;
                width: 138 // Home Layout spec
                height: 235 // Home Layout spec
                source: icon;
                smooth: true;
            }
        }
    }

    GridView {
        id: recentsGrid
        objectName: "RecentsGridView"

        anchors.left: parent.left
        anchors.top: parent.top
        anchors.topMargin: 60 // first image 60 px from top edge
        anchors.leftMargin: 4 // first image 14 px from left edge = 4 + 10 inside the cell
        anchors.rightMargin: 5 // first image 14 px from left edge = 5 + 9 inside the cell
        height: parent.height - 60;
        width: parent.width - 9;
        interactive: false
        model : recentsGridModel;
        cellHeight: 254
        cellWidth: 157
        delegate : recentsGridDelegate
    }
    
    ListModel {
        id: recentsGridModel

        ListElement {icon : "images/meegotouch-tutorial-portrait-mini-phone.png"; }
        ListElement {icon : "images/meegotouch-tutorial-portrait-mini-web.png"; }
        ListElement {icon : "images/meegotouch-tutorial-portrait-mini-gallery-single-image.png"; }
        ListElement {icon : "images/meegotouch-tutorial-portrait-mini-calendar.png"; }
        ListElement {icon : "images/meegotouch-tutorial-portrait-mini-maps.png"; }
        ListElement {icon : "images/meegotouch-tutorial-portrait-mini-clock.png"; }
        ListElement {icon : "images/meegotouch-tutorial-portrait-mini-email.png"; }
        ListElement {icon : "images/meegotouch-tutorial-portrait-mini-messaging-groupchat.png"; }
        ListElement {icon : "images/meegotouch-tutorial-portrait-mini-phonebook.png"; }
    }

}
