/* -*- Mode: C; indent-tabs-mode: s; c-basic-offset: 4; tab-width: 4 -*- */
/* vim:set et ai sw=4 ts=4 sts=4: tw=80 cino="(0,W2s,i2s,t0,l1,:0" */

import QtQuick 1.0
import "components"

Overlay {
    signal skipTutorial();
    signal openPhoneClicked();

    RefButton {
        anchors.top: parent.top;
        anchors.topMargin: swipeWidth;
        anchors.right: parent.right;
        anchors.rightMargin: 26; // Layout spec
        text: qtn_tuto_skip;

        onTapped: {
            skipTutorial();
            state = "hidden";
        }
    }

    MouseArea {
        id: minimizedPhone;
        visible: true;
        x: 14;
        y: 60;
        height: 236;
        width: 138;
        anchors.leftMargin: 2;
        anchors.rightMargin: 2;

        onPressed: {
            minimizedPhoneDim.opacity = 1-homeDim;
        }
        onExited: {
            minimizedPhoneDim.opacity = 0;
        }
        onClicked: {
            openPhoneClicked();
            state = "hidden";
            minimizedPhoneDim.opacity = 0;
        }

        Image {
            id: minimizedPhoneImage;
            width: 138;
            height: 236;
            anchors.horizontalCenter: parent.horizontalCenter;
            source: "images/meegotouch-tutorial-portrait-mini-phone.png";
        }

        Rectangle {
            id: minimizedPhoneDim;
            anchors.fill: parent;
            color: "black";
            opacity: 0;
        }
    }
    
    Text {
        width: parent.width;
        anchors.topMargin: 40; // Layout spec
        anchors.left: parent.left;
        anchors.leftMargin: 40; // Layout spec
        anchors.right: parent.right;
        anchors.rightMargin: 40; // Layout spec
        anchors.bottom: bottomText.top;
        anchors.bottomMargin: 40; // Layout spec

        text: qtn_tuto_recents_text;
        wrapMode: Text.WordWrap;
        horizontalAlignment: Text.AlignHCenter;
        font.family: instrFont;
        font.pixelSize: instrFontSize;
        font.weight: Font.Normal;
        color: "white";
    }
    
    Text {
        id: bottomText;

        width: parent.width;
        anchors.topMargin: 0; // Layout spec
        anchors.left: parent.left;
        anchors.leftMargin: 40; // Layout spec
        anchors.right: parent.right;
        anchors.rightMargin: 40; // Layout spec
        anchors.bottom: parent.bottom;
        anchors.bottomMargin: 60; // Layout spec
        
        text: qtn_tuto_tap_phone_again;
        wrapMode: Text.WordWrap;
        horizontalAlignment: Text.AlignHCenter;
        font.family: instrFont;
        font.pixelSize: instrBigFontSize;
        font.weight: Font.Light;
        color: "white";
    }
}

