/* -*- Mode: C; indent-tabs-mode: s; c-basic-offset: 4; tab-width: 4 -*- */
/* vim:set et ai sw=4 ts=4 sts=4: tw=80 cino="(0,W2s,i2s,t0,l1,:0" */

import QtQuick 1.0
import "components"

Item {
    anchors.fill: parent;
    width: parent.width;
    
    signal startTutorial();
    
    Text {
        width: parent.width;

        anchors.left: parent.left;
        anchors.right: parent.right;
        anchors.verticalCenter: parent.verticalCenter;
        anchors.topMargin: 40; // Layout spec
        anchors.leftMargin: 40; // Layout spec
        anchors.rightMargin: 40; // Layout spec
        anchors.bottomMargin: 40; // Layout spec

        text: qtn_tuto_initial_text_1;
        wrapMode: Text.WordWrap;
        horizontalAlignment: Text.AlignHCenter;
        font.family: instrFont;
        font.pixelSize: instrBigFontSize;
        font.weight: Font.Light;
        color: "white";
    }

    Button {
        id: startButton;
        height: 64; // guess
        anchors.bottom: parent.bottom;
        anchors.horizontalCenter: parent.horizontalCenter;
        anchors.bottomMargin: 72; // Layout spec
        text: qtn_tuto_start_tour;

        onClicked: {
            startTutorial();
        }
    }
}
