import QtQuick 1.0

MouseArea {
    id: pushButton;
    width: pushButtonNormal.sourceSize.width;
    height: pushButtonNormal.sourceSize.height;

    onPressed: {
        pushButtonPressed.visible = true;
        pushButtonNormal.visible = false;
    }
    onExited: {
        pushButtonPressed.visible = false;
        pushButtonNormal.visible = true;
    }
    onClicked: {
        pushButtonPressed.visible = false;
        pushButtonNormal.visible = true;
    }
    
    property alias text: buttonText.text;
    
    BorderImage{
        id: pushButtonNormal;
        anchors.centerIn: pushButton;
        source: "../images/meegotouch-tutorial-button-accent-normal.png";
        border.left: 0;
        border.right: 0;
        border.top: 0;
        border.bottom: 0;
    }
    BorderImage{
        id: pushButtonPressed;
        anchors.centerIn: pushButton;
        visible: false;
        source: "../images/meegotouch-tutorial-button-accent-pressed.png";
        border.left: 0;
        border.right: 0;
        border.top: 0;
        border.bottom: 0;
    }
    Text {
        id: buttonText;
        anchors.centerIn: pushButton;
        color: "white";
        font.family: buttonFont;
        font.pixelSize: buttonFontSize;
        font.weight: Font.Bold;
        text: "";
    }
}

