/* -*- Mode: C; indent-tabs-mode: s; c-basic-offset: 4; tab-width: 4 -*- */
/* vim:set et ai sw=4 ts=4 sts=4: tw=80 cino="(0,W2s,i2s,t0,l1,:0" */

import QtQuick 1.0

Item {
    property alias imageSource: image.source;
    property alias titleText: title.text;
    property alias detailText: details.text;
    property alias timeText: time.text;
    
    height: (96 < textColumn.height) ? textColumn.height : 96;
    width: parent.width;
    
    anchors.left: parent.left;
    anchors.right: parent.right;

    Image {
        id: image;
        anchors.top: parent.top;
        anchors.topMargin: 16;
        anchors.left: parent.left;
        width: 64;
        height: 64;
        sourceSize.height: 64;
        sourceSize.width: 64;
        source: "";
    }
    Column {
        id: textColumn;
        spacing: 0;

        anchors.left: image.right;
        anchors.leftMargin: 16;
        anchors.right: parent.right;
        anchors.top: parent.top;
        anchors.topMargin: 16;
        height: title.paintedHeight + details.paintedHeight + time.paintedHeight + 18 + 30;

        Text {
            id: title;
            width: parent.width;
            wrapMode: Text.WordWrap;
            text: "Title";
            horizontalAlignment: layoutLeftToRightMode ? Text.AlignLeft : Text.AlignRight;
            font.family: defaultFont;
            font.pixelSize: 22;
            font.weight: Font.Light;
            color: "white";
        }
        Rectangle { /* cheat because cant set lineheight for text */
            height: 2;
            width: parent.width;
            color: "transparent";
        }
        Text {
            id: details;
            width: parent.width;
            wrapMode: Text.WordWrap;
            text: "Details";
            horizontalAlignment: layoutLeftToRightMode ? Text.AlignLeft : Text.AlignRight;
            font.family: defaultFont;
            font.pixelSize: 16;
            font.weight: Font.Light;
            color: "#CCCCCC";
        }
        Rectangle { /* cheat because cant set lineheight for text */
            height: 2;
            width: parent.width;
            color: "transparent";
        }
        Text {
            id: time;
            width: parent.width;
            wrapMode: Text.WordWrap;
            text: "Time";
            horizontalAlignment: layoutLeftToRightMode ? Text.AlignLeft : Text.AlignRight;
            font.family: defaultFont;
            font.pixelSize: 16;
            font.weight: Font.Light;
            color: "#CCCCCC";
        }
        Rectangle { /* spacing by specification */
            height: 8;
            width: parent.width;
            color: "transparent";
        }
    }
}
