/* -*- Mode: C; indent-tabs-mode: s; c-basic-offset: 4; tab-width: 4 -*- */
/* vim:set et ai sw=4 ts=4 sts=4: tw=80 cino="(0,W2s,i2s,t0,l1,:0" */

import QtQuick 1.0

Item {
    property alias title: groupName.text;
    property alias buttonText: groupButton.text;
    
    height: 56;
    width: parent.width;
    
    anchors.left: parent.left;
    anchors.right: parent.right;

    Text {
        id: groupName;

        anchors.top: parent.top;
        anchors.topMargin: 8;
        anchors.left: parent.left;
        anchors.right: groupButton.left;
        height: 32;
        verticalAlignment: Text.AlignVCenter;
        horizontalAlignment: layoutLeftToRightMode ? Text.AlignLeft : Text.AlignRight;

        text: "";
        font.family: defaultFont;
        font.pixelSize: 24;
        font.weight: Font.Bold;
        color: "#646464";
    }
    Text {
        id: groupButton;

        anchors.top: parent.top;
        anchors.topMargin: 12;
        anchors.right: parent.right;
        height: 31;
        width: 160;
        horizontalAlignment: Text.AlignHCenter;
        verticalAlignment: Text.AlignVCenter;

        text: "";
        font.family: defaultFont;
        font.pixelSize: 20;
        font.weight: Font.Bold;
        color: "white";
    }
}

