/* -*- Mode: C; indent-tabs-mode: s; c-basic-offset: 4; tab-width: 4 -*- */
/* vim:set et ai sw=4 ts=4 sts=4: tw=80 cino="(0,W2s,i2s,t0,l1,:0" */

import QtQuick 1.0

Swipeable {
    id: lockScreen
   
    signal touch();
    signal untouch();

    property int lockMove: 0

    Item {
        id: content
        height: parent.height
        width: parent.width

        Image {
            id: screenLockImage
            source: screenLockImageFile
            sourceSize.width: parent.width
            sourceSize.height: parent.height
        }
            
        Text {
            id: timeText
            text: currentTime
            color: "white";
            font.family: defaultFont;
            font.pixelSize: 100;
            font.weight: Font.Light;
            anchors.top: parent.top
            anchors.topMargin: 64 // Layout spec
            anchors.right: parent.right
            anchors.rightMargin: 20 // Layout spec
        }
            
        Text {
            text: currentDate
            color: "white";
            font.family: defaultFont;
            font.pixelSize: 22;
            font.weight: Font.Normal;
            anchors.top: timeText.bottom
            height: 30 // Layout spec
            anchors.right: parent.right
            anchors.rightMargin: 20 // Layout spec
        }
    }

    MouseArea {
            x: swipeWidth
            y: swipeWidth
            width: parent.width - (2 * swipeWidth)
            height: parent.height - (2 * swipeWidth)

        SequentialAnimation {
            id: lockAnim
            running: false

            /* Motion Guide 2.1 : Notifications : Locscreen Interaction */
            PropertyAnimation { target: lockScreen; property: "x"; to: lockMove; easing.type: Easing.OutExpo; duration: 150 }
            PropertyAnimation { target: lockScreen; property: "x"; to: 0; easing.type: Easing.InOutQuart; duration: 600 }
        }

        onPressed: {
            if ( mouse.x < width / 2 ) {
                lockMove = 30;
                lockAnim.start();
            } else {
                lockMove = -30;
                lockAnim.start();
            }
            touch();
        }
        onReleased: lockScreen.untouch();
    }
}

